package org.bitbucket.bradleysmithllc.etlunit.io;

import java.io.ByteArrayOutputStream;
import java.io.IOException;

public class ClosableByteArrayOutputStream extends ByteArrayOutputStream
{
	private boolean closed = false;

	@Override
	public void close() throws IOException
	{
		closed = true;
		super.close();
	}

	public boolean isClosed()
	{
		return closed;
	}
}